HttpHeaders
Date: 2016-05-24

com.google.common.net

## Class HttpHeaders

- java.lang.Object
- - com.google.common.net.HttpHeaders

-     @GwtCompatible
      public final class HttpHeaders
      extends java.lang.Object

  Contains constant definitions for the HTTP header field names. See:
  - RFC 2109
  - RFC 2183
  - RFC 2616
  - RFC 2965
  - RFC 5988
  Since:
    11.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCEPT` The HTTP `Accept` header field name.
    `static java.lang.String` | `ACCEPT_CHARSET` The HTTP `Accept-Charset` header field name.
    `static java.lang.String` | `ACCEPT_ENCODING` The HTTP `Accept-Encoding` header field name.
    `static java.lang.String` | `ACCEPT_LANGUAGE` The HTTP `Accept-Language` header field name.
    `static java.lang.String` | `ACCEPT_RANGES` The HTTP `Accept-Ranges` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_ALLOW_CREDENTIALS` The HTTP `Access-Control-Allow-Credentials` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_ALLOW_HEADERS` The HTTP `Access-Control-Allow-Headers` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_ALLOW_METHODS` The HTTP `Access-Control-Allow-Methods` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_ALLOW_ORIGIN` The HTTP `Access-Control-Allow-Origin` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_EXPOSE_HEADERS` The HTTP `Access-Control-Expose-Headers` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_MAX_AGE` The HTTP `Access-Control-Max-Age` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_REQUEST_HEADERS` The HTTP `Access-Control-Request-Headers` header field name.
    `static java.lang.String` | `ACCESS_CONTROL_REQUEST_METHOD` The HTTP `Access-Control-Request-Method` header field name.
    `static java.lang.String` | `AGE` The HTTP `Age` header field name.
    `static java.lang.String` | `ALLOW` The HTTP `Allow` header field name.
    `static java.lang.String` | `AUTHORIZATION` The HTTP `Authorization` header field name.
    `static java.lang.String` | `CACHE_CONTROL` The HTTP `Cache-Control` header field name.
    `static java.lang.String` | `CONNECTION` The HTTP `Connection` header field name.
    `static java.lang.String` | `CONTENT_DISPOSITION` The HTTP `Content-Disposition` header field name.
    `static java.lang.String` | `CONTENT_ENCODING` The HTTP `Content-Encoding` header field name.
    `static java.lang.String` | `CONTENT_LANGUAGE` The HTTP `Content-Language` header field name.
    `static java.lang.String` | `CONTENT_LENGTH` The HTTP `Content-Length` header field name.
    `static java.lang.String` | `CONTENT_LOCATION` The HTTP `Content-Location` header field name.
    `static java.lang.String` | `CONTENT_MD5` The HTTP `Content-MD5` header field name.
    `static java.lang.String` | `CONTENT_RANGE` The HTTP `Content-Range` header field name.
    `static java.lang.String` | `CONTENT_SECURITY_POLICY` The HTTP `Content-Security-Policy` header field name.
    `static java.lang.String` | `CONTENT_SECURITY_POLICY_REPORT_ONLY` The HTTP `Content-Security-Policy-Report-Only` header field name.
    `static java.lang.String` | `CONTENT_TYPE` The HTTP `Content-Type` header field name.
    `static java.lang.String` | `COOKIE` The HTTP `Cookie` header field name.
    `static java.lang.String` | `DATE` The HTTP `Date` header field name.
    `static java.lang.String` | `DNT` The HTTP `DNT` header field name.
    `static java.lang.String` | `ETAG` The HTTP `ETag` header field name.
    `static java.lang.String` | `EXPECT` The HTTP `Expect` header field name.
    `static java.lang.String` | `EXPIRES` The HTTP `Expires` header field name.
    `static java.lang.String` | `FOLLOW_ONLY_WHEN_PRERENDER_SHOWN` The HTTP `Follow-Only-When-Prerender-Shown` header field name.
    `static java.lang.String` | `FROM` The HTTP `From` header field name.
    `static java.lang.String` | `HOST` The HTTP `Host` header field name.
    `static java.lang.String` | `IF_MATCH` The HTTP `If-Match` header field name.
    `static java.lang.String` | `IF_MODIFIED_SINCE` The HTTP `If-Modified-Since` header field name.
    `static java.lang.String` | `IF_NONE_MATCH` The HTTP `If-None-Match` header field name.
    `static java.lang.String` | `IF_RANGE` The HTTP `If-Range` header field name.
    `static java.lang.String` | `IF_UNMODIFIED_SINCE` The HTTP `If-Unmodified-Since` header field name.
    `static java.lang.String` | `LAST_EVENT_ID` The HTTP `Last-Event-ID` header field name.
    `static java.lang.String` | `LAST_MODIFIED` The HTTP `Last-Modified` header field name.
    `static java.lang.String` | `LINK` The HTTP `Link` header field name.
    `static java.lang.String` | `LOCATION` The HTTP `Location` header field name.
    `static java.lang.String` | `MAX_FORWARDS` The HTTP `Max-Forwards` header field name.
    `static java.lang.String` | `ORIGIN` The HTTP `Origin` header field name.
    `static java.lang.String` | `P3P` The HTTP `P3P` header field name.
    `static java.lang.String` | `PING_FROM` The HTTP `Ping-From` header field name.
    `static java.lang.String` | `PING_TO` The HTTP `Ping-To` header field name.
    `static java.lang.String` | `PRAGMA` The HTTP `Pragma` header field name.
    `static java.lang.String` | `PROXY_AUTHENTICATE` The HTTP `Proxy-Authenticate` header field name.
    `static java.lang.String` | `PROXY_AUTHORIZATION` The HTTP `Proxy-Authorization` header field name.
    `static java.lang.String` | `PUBLIC_KEY_PINS` The HTTP `Public-Key-Pins` header field name.
    `static java.lang.String` | `PUBLIC_KEY_PINS_REPORT_ONLY` The HTTP `Public-Key-Pins-Report-Only` header field name.
    `static java.lang.String` | `RANGE` The HTTP `Range` header field name.
    `static java.lang.String` | `REFERER` The HTTP `Referer` header field name.
    `static java.lang.String` | `REFRESH` The HTTP `Refresh` header field name.
    `static java.lang.String` | `RETRY_AFTER` The HTTP `Retry-After` header field name.
    `static java.lang.String` | `SERVER` The HTTP `Server` header field name.
    `static java.lang.String` | `SET_COOKIE` The HTTP `Set-Cookie` header field name.
    `static java.lang.String` | `SET_COOKIE2` The HTTP `Set-Cookie2` header field name.
    `static java.lang.String` | `STRICT_TRANSPORT_SECURITY` The HTTP `Strict-Transport-Security` header field name.
    `static java.lang.String` | `TE` The HTTP `TE` header field name.
    `static java.lang.String` | `TIMING_ALLOW_ORIGIN` The HTTP `Timing-Allow-Origin` header field name.
    `static java.lang.String` | `TRAILER` The HTTP `Trailer` header field name.
    `static java.lang.String` | `TRANSFER_ENCODING` The HTTP `Transfer-Encoding` header field name.
    `static java.lang.String` | `UPGRADE` The HTTP `Upgrade` header field name.
    `static java.lang.String` | `USER_AGENT` The HTTP `User-Agent` header field name.
    `static java.lang.String` | `VARY` The HTTP `Vary` header field name.
    `static java.lang.String` | `VIA` The HTTP `Via` header field name.
    `static java.lang.String` | `WARNING` The HTTP `Warning` header field name.
    `static java.lang.String` | `WWW_AUTHENTICATE` The HTTP `WWW-Authenticate` header field name.
    `static java.lang.String` | `X_CONTENT_TYPE_OPTIONS` The HTTP `X-Content-Type-Options` header field name.
    `static java.lang.String` | `X_DO_NOT_TRACK` The HTTP `X-Do-Not-Track` header field name.
    `static java.lang.String` | `X_FORWARDED_FOR` The HTTP `X-Forwarded-For` header field name.
    `static java.lang.String` | `X_FORWARDED_PROTO` The HTTP `X-Forwarded-Proto` header field name.
    `static java.lang.String` | `X_FRAME_OPTIONS` The HTTP `X-Frame-Options` header field name.
    `static java.lang.String` | `X_POWERED_BY` The HTTP `X-Powered-By` header field name.
    `static java.lang.String` | `X_REQUESTED_WITH` The HTTP `X-Requested-With` header field name.
    `static java.lang.String` | `X_USER_IP` The HTTP `X-User-IP` header field name.
    `static java.lang.String` | `X_XSS_PROTECTION` The HTTP `X-XSS-Protection` header field name.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_CONTROL

          public static final java.lang.String CACHE_CONTROL

      The HTTP `Cache-Control` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final java.lang.String CONTENT_LENGTH

      The HTTP `Content-Length` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final java.lang.String CONTENT_TYPE

      The HTTP `Content-Type` header field name.
      See Also:
        Constant Field Values

    - #### DATE

          public static final java.lang.String DATE

      The HTTP `Date` header field name.
      See Also:
        Constant Field Values

    - #### PRAGMA

          public static final java.lang.String PRAGMA

      The HTTP `Pragma` header field name.
      See Also:
        Constant Field Values

    - #### VIA

          public static final java.lang.String VIA

      The HTTP `Via` header field name.
      See Also:
        Constant Field Values

    - #### WARNING

          public static final java.lang.String WARNING

      The HTTP `Warning` header field name.
      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final java.lang.String ACCEPT

      The HTTP `Accept` header field name.
      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          public static final java.lang.String ACCEPT_CHARSET

      The HTTP `Accept-Charset` header field name.
      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          public static final java.lang.String ACCEPT_ENCODING

      The HTTP `Accept-Encoding` header field name.
      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          public static final java.lang.String ACCEPT_LANGUAGE

      The HTTP `Accept-Language` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_REQUEST_HEADERS

          public static final java.lang.String ACCESS_CONTROL_REQUEST_HEADERS

      The HTTP `Access-Control-Request-Headers` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_REQUEST_METHOD

          public static final java.lang.String ACCESS_CONTROL_REQUEST_METHOD

      The HTTP `Access-Control-Request-Method` header field name.
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final java.lang.String AUTHORIZATION

      The HTTP `Authorization` header field name.
      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final java.lang.String CONNECTION

      The HTTP `Connection` header field name.
      See Also:
        Constant Field Values

    - #### COOKIE

          public static final java.lang.String COOKIE

      The HTTP `Cookie` header field name.
      See Also:
        Constant Field Values

    - #### EXPECT

          public static final java.lang.String EXPECT

      The HTTP `Expect` header field name.
      See Also:
        Constant Field Values

    - #### FROM

          public static final java.lang.String FROM

      The HTTP `From` header field name.
      See Also:
        Constant Field Values

    - #### FOLLOW_ONLY_WHEN_PRERENDER_SHOWN

          @Beta
          public static final java.lang.String FOLLOW_ONLY_WHEN_PRERENDER_SHOWN

      The HTTP `Follow-Only-When-Prerender-Shown` header field name.
      Since:
        17.0
      See Also:
        Constant Field Values

    - #### HOST

          public static final java.lang.String HOST

      The HTTP `Host` header field name.
      See Also:
        Constant Field Values

    - #### IF_MATCH

          public static final java.lang.String IF_MATCH

      The HTTP `If-Match` header field name.
      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          public static final java.lang.String IF_MODIFIED_SINCE

      The HTTP `If-Modified-Since` header field name.
      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          public static final java.lang.String IF_NONE_MATCH

      The HTTP `If-None-Match` header field name.
      See Also:
        Constant Field Values

    - #### IF_RANGE

          public static final java.lang.String IF_RANGE

      The HTTP `If-Range` header field name.
      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          public static final java.lang.String IF_UNMODIFIED_SINCE

      The HTTP `If-Unmodified-Since` header field name.
      See Also:
        Constant Field Values

    - #### LAST_EVENT_ID

          public static final java.lang.String LAST_EVENT_ID

      The HTTP `Last-Event-ID` header field name.
      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          public static final java.lang.String MAX_FORWARDS

      The HTTP `Max-Forwards` header field name.
      See Also:
        Constant Field Values

    - #### ORIGIN

          public static final java.lang.String ORIGIN

      The HTTP `Origin` header field name.
      See Also:
        Constant Field Values

    - #### PROXY_AUTHORIZATION

          public static final java.lang.String PROXY_AUTHORIZATION

      The HTTP `Proxy-Authorization` header field name.
      See Also:
        Constant Field Values

    - #### RANGE

          public static final java.lang.String RANGE

      The HTTP `Range` header field name.
      See Also:
        Constant Field Values

    - #### REFERER

          public static final java.lang.String REFERER

      The HTTP `Referer` header field name.
      See Also:
        Constant Field Values

    - #### TE

          public static final java.lang.String TE

      The HTTP `TE` header field name.
      See Also:
        Constant Field Values

    - #### UPGRADE

          public static final java.lang.String UPGRADE

      The HTTP `Upgrade` header field name.
      See Also:
        Constant Field Values

    - #### USER_AGENT

          public static final java.lang.String USER_AGENT

      The HTTP `User-Agent` header field name.
      See Also:
        Constant Field Values

    - #### ACCEPT_RANGES

          public static final java.lang.String ACCEPT_RANGES

      The HTTP `Accept-Ranges` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_HEADERS

          public static final java.lang.String ACCESS_CONTROL_ALLOW_HEADERS

      The HTTP `Access-Control-Allow-Headers` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_METHODS

          public static final java.lang.String ACCESS_CONTROL_ALLOW_METHODS

      The HTTP `Access-Control-Allow-Methods` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_ORIGIN

          public static final java.lang.String ACCESS_CONTROL_ALLOW_ORIGIN

      The HTTP `Access-Control-Allow-Origin` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_CREDENTIALS

          public static final java.lang.String ACCESS_CONTROL_ALLOW_CREDENTIALS

      The HTTP `Access-Control-Allow-Credentials` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_EXPOSE_HEADERS

          public static final java.lang.String ACCESS_CONTROL_EXPOSE_HEADERS

      The HTTP `Access-Control-Expose-Headers` header field name.
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_MAX_AGE

          public static final java.lang.String ACCESS_CONTROL_MAX_AGE

      The HTTP `Access-Control-Max-Age` header field name.
      See Also:
        Constant Field Values

    - #### AGE

          public static final java.lang.String AGE

      The HTTP `Age` header field name.
      See Also:
        Constant Field Values

    - #### ALLOW

          public static final java.lang.String ALLOW

      The HTTP `Allow` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_DISPOSITION

          public static final java.lang.String CONTENT_DISPOSITION

      The HTTP `Content-Disposition` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          public static final java.lang.String CONTENT_ENCODING

      The HTTP `Content-Encoding` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          public static final java.lang.String CONTENT_LANGUAGE

      The HTTP `Content-Language` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          public static final java.lang.String CONTENT_LOCATION

      The HTTP `Content-Location` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_MD5

          public static final java.lang.String CONTENT_MD5

      The HTTP `Content-MD5` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          public static final java.lang.String CONTENT_RANGE

      The HTTP `Content-Range` header field name.
      See Also:
        Constant Field Values

    - #### CONTENT_SECURITY_POLICY

          public static final java.lang.String CONTENT_SECURITY_POLICY

      The HTTP `Content-Security-Policy` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### CONTENT_SECURITY_POLICY_REPORT_ONLY

          public static final java.lang.String CONTENT_SECURITY_POLICY_REPORT_ONLY

      The HTTP `Content-Security-Policy-Report-Only` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### ETAG

          public static final java.lang.String ETAG

      The HTTP `ETag` header field name.
      See Also:
        Constant Field Values

    - #### EXPIRES

          public static final java.lang.String EXPIRES

      The HTTP `Expires` header field name.
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          public static final java.lang.String LAST_MODIFIED

      The HTTP `Last-Modified` header field name.
      See Also:
        Constant Field Values

    - #### LINK

          public static final java.lang.String LINK

      The HTTP `Link` header field name.
      See Also:
        Constant Field Values

    - #### LOCATION

          public static final java.lang.String LOCATION

      The HTTP `Location` header field name.
      See Also:
        Constant Field Values

    - #### P3P

          public static final java.lang.String P3P

      The HTTP `P3P` header field name. Limited browser support.
      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          public static final java.lang.String PROXY_AUTHENTICATE

      The HTTP `Proxy-Authenticate` header field name.
      See Also:
        Constant Field Values

    - #### REFRESH

          public static final java.lang.String REFRESH

      The HTTP `Refresh` header field name. Non-standard header supported by most browsers.
      See Also:
        Constant Field Values

    - #### RETRY_AFTER

          public static final java.lang.String RETRY_AFTER

      The HTTP `Retry-After` header field name.
      See Also:
        Constant Field Values

    - #### SERVER

          public static final java.lang.String SERVER

      The HTTP `Server` header field name.
      See Also:
        Constant Field Values

    - #### SET_COOKIE

          public static final java.lang.String SET_COOKIE

      The HTTP `Set-Cookie` header field name.
      See Also:
        Constant Field Values

    - #### SET_COOKIE2

          public static final java.lang.String SET_COOKIE2

      The HTTP `Set-Cookie2` header field name.
      See Also:
        Constant Field Values

    - #### STRICT_TRANSPORT_SECURITY

          public static final java.lang.String STRICT_TRANSPORT_SECURITY

      The HTTP `Strict-Transport-Security` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### TIMING_ALLOW_ORIGIN

          public static final java.lang.String TIMING_ALLOW_ORIGIN

      The HTTP `Timing-Allow-Origin` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### TRAILER

          public static final java.lang.String TRAILER

      The HTTP `Trailer` header field name.
      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final java.lang.String TRANSFER_ENCODING

      The HTTP `Transfer-Encoding` header field name.
      See Also:
        Constant Field Values

    - #### VARY

          public static final java.lang.String VARY

      The HTTP `Vary` header field name.
      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          public static final java.lang.String WWW_AUTHENTICATE

      The HTTP `WWW-Authenticate` header field name.
      See Also:
        Constant Field Values

    - #### DNT

          public static final java.lang.String DNT

      The HTTP `DNT` header field name.
      See Also:
        Constant Field Values

    - #### X_CONTENT_TYPE_OPTIONS

          public static final java.lang.String X_CONTENT_TYPE_OPTIONS

      The HTTP `X-Content-Type-Options` header field name.
      See Also:
        Constant Field Values

    - #### X_DO_NOT_TRACK

          public static final java.lang.String X_DO_NOT_TRACK

      The HTTP `X-Do-Not-Track` header field name.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_FOR

          public static final java.lang.String X_FORWARDED_FOR

      The HTTP `X-Forwarded-For` header field name.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_PROTO

          public static final java.lang.String X_FORWARDED_PROTO

      The HTTP `X-Forwarded-Proto` header field name.
      See Also:
        Constant Field Values

    - #### X_FRAME_OPTIONS

          public static final java.lang.String X_FRAME_OPTIONS

      The HTTP `X-Frame-Options` header field name.
      See Also:
        Constant Field Values

    - #### X_POWERED_BY

          public static final java.lang.String X_POWERED_BY

      The HTTP `X-Powered-By` header field name.
      See Also:
        Constant Field Values

    - #### PUBLIC_KEY_PINS

          @Beta
          public static final java.lang.String PUBLIC_KEY_PINS

      The HTTP `Public-Key-Pins` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### PUBLIC_KEY_PINS_REPORT_ONLY

          @Beta
          public static final java.lang.String PUBLIC_KEY_PINS_REPORT_ONLY

      The HTTP `Public-Key-Pins-Report-Only` header field name.
      Since:
        15.0
      See Also:
        Constant Field Values

    - #### X_REQUESTED_WITH

          public static final java.lang.String X_REQUESTED_WITH

      The HTTP `X-Requested-With` header field name.
      See Also:
        Constant Field Values

    - #### X_USER_IP

          public static final java.lang.String X_USER_IP

      The HTTP `X-User-IP` header field name.
      See Also:
        Constant Field Values

    - #### X_XSS_PROTECTION

          public static final java.lang.String X_XSS_PROTECTION

      The HTTP `X-XSS-Protection` header field name.
      See Also:
        Constant Field Values

    - #### PING_FROM

          public static final java.lang.String PING_FROM

      The HTTP `Ping-From` header field name.
      Since:
        19.0
      See Also:
        Constant Field Values

    - #### PING_TO

          public static final java.lang.String PING_TO

      The HTTP `Ping-To` header field name.
      Since:
        19.0
      See Also:
        Constant Field Values